Loading...
Searching...
No Matches
API data types
Types

Additional data types used in the API. More...

Collaboration diagram for API data types:

## Classes

struct | pn_atom_t
| A discriminated union that holds any scalar AMQP value. More...
struct | pn_bytes_t
| A const byte buffer. More...
struct | pn_rwbytes_t
| A non-const byte buffer. More...

## Macros

#define | PN_MILLIS_MAX
| The maximum value for pn_millis_t.

## Typedefs

typedef pn_atom_t | pn_msgid_t
| A type that holds scalar AMQP values that are valid for message id and correlation id fields.
typedef uint32_t | pn_sequence_t
| A sequence number.
typedef uint32_t | pn_millis_t
| A span of time in milliseconds.
typedef uint32_t | pn_seconds_t
| A span of time in seconds.

## Functions

pn_bytes_t | pn_bytes (size_t size, const char *start)
| Create a pn_bytes_t.
pn_rwbytes_t | pn_rwbytes (size_t size, char *start)
| Create a pn_rwbytes_t.

## Detailed Description

Additional data types used in the API.

## Class Documentation

## pn_atom_t

struct pn_atom_t

A discriminated union that holds any scalar AMQP value.

The type field indicates the AMQP type of the value, and the union may be used to access the value for a given type.

Examples
  direct.c, and send.c.

Class Members
pn_type_t | type | Indicates the type of value the atom is currently pointing to. See pn_type_t for details on AMQP types.
union pn_atom_t.u | u |

## pn_bytes_t

struct pn_bytes_t

A const byte buffer.

Class Members
size_t | size |
const char * | start |

## pn_rwbytes_t

struct pn_rwbytes_t

A non-const byte buffer.

Examples
  broker.c, direct.c, receive.c, and send.c.

Class Members
size_t | size |
char * | start |

## Typedef Documentation

## pn_msgid_t

typedef pn_atom_t pn_msgid_t

A type that holds scalar AMQP values that are valid for message id and correlation id fields.

This is actually another name for pn_atom_t as it is just a restricted version of that type.